Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.scxml.model
Class Assign

    java.lang.Object
      org.apache.commons.scxml.model.Action
          org.apache.commons.scxml.model.Assign

All Implemented Interfaces:
  NamespacePrefixesHolder, PathResolverHolder, Serializable

public class Assign
extends Action
implements PathResolverHolder

The class in this SCXML object model that corresponds to the <assign> SCXML element.

See Also:
  Serialized Form

Constructor Summary
`Assign()` Constructor.

Method Summary
`void` | `execute(EventDispatcher evtDispatcher, ErrorReporter errRep, SCInstance scInstance, org.apache.commons.logging.Log appLog, Collection derivedEvents)` Execute this action instance.
`String` | `getExpr()` Get the expr that will evaluate to the new value.
`String` | `getLocation()` Get the location for a previously defined XML data tree.
`String` | `getName()` Get the variable to be assigned a new value.
`PathResolver` | `getPathResolver()` Get the `PathResolver`.
`String` | `getSrc()` Get the source where the new XML instance for this location exists.
`void` | `setExpr(String expr)` Set the expr that will evaluate to the new value.
`void` | `setLocation(String location)` Set the location for a previously defined XML data tree.
`void` | `setName(String name)` Get the variable to be assigned a new value.
`void` | `setPathResolver(PathResolver pathResolver)` Set the `PathResolver`.
`void` | `setSrc(String src)` Set the source where the new XML instance for this location exists.

Methods inherited from class org.apache.commons.scxml.model.Action
`getNamespaces, getNamespacesKey, getParent, getParentState, getParentTransitionTarget, setNamespaces, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Assign

    public Assign()

  Constructor.

Method Detail

### getName

    public String getName()

  Get the variable to be assigned a new value.

  Returns:
    Returns the name.

### setName

    public void setName(String name)

  Get the variable to be assigned a new value.

  Parameters:
    `name` - The name to set.

### getExpr

    public String getExpr()

  Get the expr that will evaluate to the new value.

  Returns:
    Returns the expr.

### setExpr

    public void setExpr(String expr)

  Set the expr that will evaluate to the new value.

  Parameters:
    `expr` - The expr to set.

### getLocation

    public String getLocation()

  Get the location for a previously defined XML data tree.

  Returns:
    Returns the location.

### setLocation

    public void setLocation(String location)

  Set the location for a previously defined XML data tree.

  Parameters:
    `location` - The location.

### getSrc

    public String getSrc()

  Get the source where the new XML instance for this location exists.

  Returns:
    Returns the source.

### setSrc

    public void setSrc(String src)

  Set the source where the new XML instance for this location exists.

  Parameters:
    `src` - The source.

### getPathResolver

    public PathResolver getPathResolver()

  Get the `PathResolver`.

  Specified by:
    `getPathResolver` in interface `PathResolverHolder`
  Returns:
    Returns the pathResolver.

### setPathResolver

    public void setPathResolver(PathResolver pathResolver)

  Set the `PathResolver`.

  Specified by:
    `setPathResolver` in interface `PathResolverHolder`
  Parameters:
    `pathResolver` - The pathResolver to set.

### execute

    public void execute(EventDispatcher evtDispatcher,
                        ErrorReporter errRep,
                        SCInstance scInstance,
                        org.apache.commons.logging.Log appLog,
                        Collection derivedEvents)
                 throws ModelException,
                        SCXMLExpressionException

  Execute this action instance.

  Specified by:
    `execute` in class `Action`
  Parameters:
    `evtDispatcher` - The EventDispatcher for this execution instance
    `errRep` - The ErrorReporter to broadcast any errors during execution.
    `scInstance` - The state machine execution instance information.
    `appLog` - The application Log.
    `derivedEvents` - The collection to which any internal events arising from the execution of this action must be added.
  Throws:
    `SCXMLExpressionException` - If the execution involves trying to evaluate an expression which is malformed.
    `ModelException` - If the execution causes the model to enter a non-deterministic state.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2008 The Apache Software Foundation. All Rights Reserved.